diff --git a/userspace/rootfs_override/etc/init.d/hwinfo b/userspace/rootfs_override/etc/init.d/hwinfo
index 5e3e07e67b5365a745c70d6f3157384bdb2bef7a..a8f83c092e39dd786c69eb279488402e5d308c0b 100755
--- a/userspace/rootfs_override/etc/init.d/hwinfo
+++ b/userspace/rootfs_override/etc/init.d/hwinfo
@@ -21,6 +21,14 @@ if ! grep -q hwinfo /proc/mtd; then
     exit 0;
 fi
 
+if ! [ -f /wr/bin/sdb-read ]; then
+    # If for some reason sdb-read is not available, don't touch hwinfo
+    echo "/wr/bin/sdb-read not available!"
+    # save script result for snmp
+    echo "hwinfo_error" > /tmp/hwinfo_read_status
+    exit 0;
+fi
+
 # Is there sdb in there? If so, nothing to do.
 if /wr/bin/sdb-read /dev/mtd5ro > /dev/null; then
     # save script result for snmp